gnutls_x509_ext_export_tlsfeatures(3)

NAME
gnutls_x509_ext_export_tlsfeatures - API function

SYNOPSIS
#include <gnutls/x509-ext.h>

int gnutls_x509_ext_export_tlsfeatures(gnutls_x509_tlsfeatures_t f, gnutls_datum_t * ext);

ARGUMENTS

gnutls_x509_tlsfeatures_t f
    The features structure

gnutls_datum_t * ext
    The DER-encoded extension data; must be freed using gnutls_free().

DESCRIPTION
This function will convert the provided TLS features structure structure to a DER-encoded TLS features PKIX extension. The output data in ext will be allocated using gnutls_malloc().

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.5.1

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2018 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/